Bug 726998 - bioperl 1.6.9 is available [NEEDINFO]
Summary: bioperl 1.6.9 is available
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-bioperl
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-31 22:16 UTC by Jack Tanner
Modified: 2015-02-18 13:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 13:36:16 UTC
alexl: needinfo? (ihok)


Attachments (Terms of Use)
BioPerl paths patch, updated for 1.6.901 (6.72 KB, patch)
2011-08-02 15:35 UTC, Jack Tanner
no flags Details | Diff
New paths patch for BioPerl-Run (3.95 KB, patch)
2011-08-02 15:35 UTC, Jack Tanner
no flags Details | Diff
BioPerl spec, updated for 1.6.901 (4.47 KB, text/plain)
2011-08-02 15:42 UTC, Jack Tanner
no flags Details
BioPerl-Run spec, updated for 1.006900 (2.50 KB, text/plain)
2011-08-02 15:43 UTC, Jack Tanner
no flags Details

Description Jack Tanner 2011-07-31 22:16:54 UTC
Rawhide is on perl-bioperl-1.6.1, but 1.6.9 is now available.

Comment 1 Jack Tanner 2011-08-02 15:35:00 UTC
Created attachment 516343 [details]
BioPerl paths patch, updated for 1.6.901

Comment 2 Jack Tanner 2011-08-02 15:35:40 UTC
Created attachment 516346 [details]
New paths patch for BioPerl-Run

Comment 3 Jack Tanner 2011-08-02 15:42:37 UTC
Created attachment 516350 [details]
BioPerl spec, updated for 1.6.901

Comment 4 Jack Tanner 2011-08-02 15:43:20 UTC
Created attachment 516351 [details]
BioPerl-Run spec, updated for 1.006900

Comment 5 Jack Tanner 2011-08-02 15:47:25 UTC
The above specs and patches allow BioPerl 1.6.901 and BioPerl-Run 1.006900, latest as of today, to build and install on RHEL 6.

The specs are crude and will require much further linting, but it took me a while to even get this far, so perhaps this will be a useful starting point.

Note that the BioPerl-Run version number underwent a change of format, and is now less than the number of the previous version.

Comment 6 Jack Tanner 2011-08-02 15:50:28 UTC
Also, Bio::Phylo was required for this update; the basic spec generated by cpanspec worked for that.

Comment 7 Alex Lancaster 2011-08-09 08:13:44 UTC
Thanks for the patches.  I'll look into applying them and updating as soon as I get a chance.

Comment 8 Fedora End Of Life 2013-04-03 19:12:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 9 Alex Lancaster 2013-04-07 21:09:31 UTC
I have actually orphaned the package back in 2012 because I don't use it as much anymore: 

http://lists.fedoraproject.org/pipermail/devel/2012-November/174435.html

but I had volunteered to stay on as a co-maintainer.  Unfortunately nobody stepped up and they were removed in March 2013.  I'm willing to reenable them if I can get some help maintaining them.

Comment 10 Fedora End Of Life 2015-01-09 21:51:39 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-02-18 13:36:16 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.